boost::geometry::distance_result< Geometry1, Geometry2, Strategy > Struct Template Reference
distance: calculate distance between two geometries

Meta-function defining return type of distance function. More...

Inheritance diagram for boost::geometry::distance_result< Geometry1, Geometry2, Strategy >:

List of all members.

## Detailed Description

### template<typename Geometry1, typename Geometry2 = Geometry1, typename Strategy = void>
struct boost::geometry::distance_result< Geometry1, Geometry2, Strategy >

Meta-function defining return type of distance function.

Note:
  The strategy defines the return-type (so this situation is different from length, where distance is sqr/sqrt, but length always squared)

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK